Bug 39087 - No shipping options for heavy international order
Summary: No shipping options for heavy international order
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Site
Classification: Red Hat
Component: New Store   
(Show other bugs)
Version: current
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Cameron Prince
QA Contact: wbirkhea
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-04 12:51 UTC by Jay Turner
Modified: 2015-01-07 23:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-09 21:23:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2001-05-04 12:51:10 UTC
Description of Problem:
Attempted to purchase 220 pounds of product and ship it to Japan.

How Reproducible:
Every time for foreign shipping addresses

Steps to Reproduce:
1. Log into http://bmantest.meridian.redhat.com/cgi-bin/store
2. Place 100 Fedoras in shopping cart
3. Continue through checkout
4. On address verification screen, change the shipping address to be
   somewhere outside of US/Canada
5. On the next screen (Shipping) will have no shipping options and an error
   "No match found for module 'XPD', quantity '220', returning 0"

Actual Results:
Get cryptic error message related to there being no shipping options for
that weight.

Expected Results:
Should get message that the order is too heavy, just as we provide for US
shipments.

Additional Information:

Comment 1 Cameron Prince 2001-05-04 15:05:25 UTC
International orders now display the same errors as domestic.

Comment 2 Jay Turner 2001-05-04 15:24:05 UTC
Looks good on bmantest.meridian.  Closing out the issue.

Comment 3 Jay Turner 2001-05-04 15:25:58 UTC
Actually, minor nit.  We don't use UPS to ship international orders.  I think
that we use DHL.

Comment 4 David Totten 2001-05-04 20:05:17 UTC
I was looking on the shipping page, and it does say that they use DHL for
international orders. Do we need to create a usertag that queries thier website
for the shipping costs? I see no shipping tables on the DHL website.

I was under the impression that were were going to use UPS XPR here

Comment 5 Cameron Prince 2001-05-09 21:23:25 UTC
This overweight shipping message on webdevel has been generalized. This change 
will show up on bmantest with the next RPM build later today.

As I understand it, we will be using UPS Worldwide Expedited rates, but the 
actual shipper will be DHL. So there is no need to code a connector for DHL.



Comment 6 Jay Turner 2001-05-14 20:36:13 UTC
The generalized message works a lot better here.  Closing out this issue.


Note You need to log in before you can comment on or make changes to this bug.